<#import "partials/header.ftlh" as main>
<#import "partials/pagination.ftlh" as pagination>

<@main.renderWith scripts=["/js/directory.js"] styles=[]>
    <h4 class="title text-center">Справочник наименований товаров</h4>

    <div class="pt-3">
        <table class="table table-bordered table-hover">
            <thead>
            <tr>
                <th scope="col">Артикул</th>
                <th scope="col">Наименование</th>
            </tr>
            </thead>

            <#list page.content as handbook>
                <tr class="directory_tr" data-toggle="modal" data-target="#directoryDetailsModal" >
                    <th class="directory_tr_id" scope="row" hidden>${handbook.id}</th>
                    <td>${handbook.article}</td>
                    <td>${handbook.title}</td>
                </tr>
            </#list>
            </tbody>
        </table>
    </div>

    <#include "partials/pagination.ftlh">

    <div class="modal fade" id="directoryDetailsModal" tabindex="-1" role="dialog" aria-labelledby="directoryDetailsModalTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="directoryDetailsModalTitle"></h5>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                </div>
            </div>
        </div>
    </div>
</@main.renderWith>